SDL_GameControllerButtonBind Struct Reference

`#include <SDL_gamecontroller.h>`

## Data Fields

SDL_GameControllerBindType | bindType
union {
int button
int axis
struct {
int hat
int hat_mask
} hat
} | value

## Detailed Description

Get the SDL joystick layer binding for this controller button/axis mapping

Definition at line 72 of file SDL_gamecontroller.h.

## Field Documentation

## axis

int SDL_GameControllerButtonBind::axis

Definition at line 78 of file SDL_gamecontroller.h.

Referenced by SDL_GameControllerGetBindForAxis(), and SDL_GameControllerGetBindForButton().

## bindType

SDL_GameControllerBindType SDL_GameControllerButtonBind::bindType

Definition at line 74 of file SDL_gamecontroller.h.

Referenced by SDL_GameControllerGetBindForAxis(), and SDL_GameControllerGetBindForButton().

## button

int SDL_GameControllerButtonBind::button

Definition at line 77 of file SDL_gamecontroller.h.

Referenced by SDL_GameControllerGetBindForAxis(), and SDL_GameControllerGetBindForButton().

## hat [1/2]

int SDL_GameControllerButtonBind::hat

Definition at line 80 of file SDL_gamecontroller.h.

Referenced by SDL_GameControllerGetBindForAxis(), and SDL_GameControllerGetBindForButton().

## hat [2/2]

struct { ... } SDL_GameControllerButtonBind::hat

## hat_mask

int SDL_GameControllerButtonBind::hat_mask

Definition at line 81 of file SDL_gamecontroller.h.

## value

union { ... } SDL_GameControllerButtonBind::value

Referenced by SDL_GameControllerGetBindForAxis(), and SDL_GameControllerGetBindForButton().

The documentation for this struct was generated from the following file:

- include/SDL_gamecontroller.h